default kickstart template specifies --no-check-certificate on http connection
Description

Some versions of wget do not even understand this argument

History

#1 - 01/21/2011 07:47 AM - Ohad Levy

which versions? can you provide more details?

technically, thats exactly why people can edit the ks templates :)

#2 - 01/22/2011 03:13 AM - Paul Kelly

- Category set to Host creation

- Status changed from New to Ready For Testing

- Assignee set to Paul Kelly

- Branch set to bug/599-no-check-certificate

On a default redhat 5 build this argument was not recognized and it is simply wrong to provide a https parameter to a http request

#3 - 01/24/2011 02:50 AM - Ohad Levy

- Status changed from Ready For Testing to Feedback

Paul Kelly wrote:

On a default redhat 5 build this argument was not recognized and it is simply wrong to provide a https parameter to a http request

 Thats odd... my RHEL5 hosts are fine with this argument.. as wget at that point as already the full blown version.

additionally, in some cases, foreman runs with https so removing it completely is wrong too.

#4 - 01/26/2011 03:36 AM - Paul Kelly

This patch alters the version of the kickstart file that is in the /views tree. This is hardcoded and always reads HTTP://blah/bla/ --no-check-certificate. I

know that this file should never really be used but due to other bugs it does get used sometimes. The --no-check-certificate argument to a http call is

ignored, theoretically, so I guess that you can close this ticket.

#5 - 03/01/2011 11:57 AM - Paul Kelly

- Status changed from Feedback to Closed
